// CHoopsApp.h : interface of the CHoopsApp class, derived from CWinApp
// Adds encapsulation of the main HOOPS database object

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#ifndef hoops_app
#define hoops_app

//#include "resource.h"      
#include "hc.h"

#define WM_DOREALIZE    (WM_USER + 0)

#define WMF             0
#define EMF             1


class HDB;

/////////////////////////////////////////////////////////////////////////////
// CHoopsApp:
// See hoops.cpp for the implementation of this class
//

class AFX_EXT_CLASS CHoopsApp : public CWinApp
{

protected:
    
	HDB*	m_pHoopsDB;			// ptr to the HoopsDB object

public:

	CHoopsApp();

	HDB*	GetHoopsDB() { return m_pHoopsDB; }

   
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CHoopsApp)
	public:
	virtual BOOL InitInstance();
	virtual int ExitInstance();
	//}}AFX_VIRTUAL

// Implementation

	//{{AFX_MSG(CHoopsApp)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif


/////////////////////////////////////////////////////////////////////////////
